import { Repository } from 'typeorm';
import { Category } from '@/entities/category.entity';
import { appDataSource } from '@/config/dataSource';
import { CategoryDto } from '@/dto/category.dto';
import { ICategory } from '@/interfaces/ICategory.interface';

export class CategoryRepository extends Repository<Category> {
  constructor() {
    super(Category, appDataSource.createEntityManager());
  }

  async getCategories(): Promise<ICategory[]> {
    return await this.find();
  }

  async createCategory(categoryDto: CategoryDto): Promise<ICategory> {
    return await this.save(categoryDto);
  }
}
